Bug 106182 - Please use ngettext for handling plurals in kudzu
Summary: Please use ngettext for handling plurals in kudzu
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: beta2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL: http://developer.gnome.org/doc/tutori...
Whiteboard:
Keywords:
Depends On:
Blocks: 106150
TreeView+ depends on / blocked
 
Reported: 2003-10-03 14:48 UTC by Christian Rose
Modified: 2014-03-17 02:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 19:13:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Rose 2003-10-03 14:48:39 UTC
#: ../hwconf.c:1391
#, c-format
msgid ""
"Welcome to Kudzu, the Red Hat Linux hardware detection and configuration "
"tool.\n"
"\n"
"On the following screens you will be able to configure any new or removed "
"hardware for your computer.\n"
"\n"
"                Press any key to continue.\n"
"\n"
"         Normal bootup will continue in %d seconds."


It would be nice to handle singular/plural here. In that case, please use
ngettext as mentioned in
http://developer.gnome.org/doc/tutorials/gnome-i18n/developer.html#plurals.
A simple code example of code using ngettext:

  g_printf (ngettext ("Found %d file.", "Found %d files.", nbr_of_files),
nbr_of_files);

Comment 1 Bill Nottingham 2005-03-02 19:13:26 UTC
Closing, this screen is dead.


Note You need to log in before you can comment on or make changes to this bug.